Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.envjs.browser
[Java] Class BrowserEvaluate

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.plugins.javascript.envjs.browser.BrowserEvaluate

    public class BrowserEvaluate
    extends DefaultTask

Constructor Summary
`BrowserEvaluate()`

Method Summary
`File` | `getContent()`
`BrowserEvaluator` | `getEvaluator()`
`String` | `getResource()`
`File` | `getResult()`
`void` | `setContent(Object content)`
`void` | `setEvaluator(BrowserEvaluator evaluator)`
`void` | `setResource(Object resource)`
`void` | `setResult(Object result)`

Constructor Detail

### BrowserEvaluate

    public BrowserEvaluate()

Method Detail

### getContent

    @InputDirectory
    public File getContent()

### getEvaluator

    public BrowserEvaluator getEvaluator()

### getResource

    @Input
    public String getResource()

### getResult

    @OutputFile
    public File getResult()

### setContent

    public void setContent(Object content)

### setEvaluator

    public void setEvaluator(BrowserEvaluator evaluator)

### setResource

    public void setResource(Object resource)

### setResult

    public void setResult(Object result)

Gradle API 1.1-rc-1